/*
 * Copyright 2014 (c) Anna Schumaker.
 */
#include <lib/lib.h>
#include <core/audio.h>
#include <gui/ocarina.h>

static Gtk::Label *o_position;
static Glib::RefPtr<Gtk::Adjustment> o_pos_bar;

/*
 * Timeout function is called every half-second.
 */
static bool on_timeout()
{
	o_position->set_text(audio :: position_str());
	o_pos_bar->set_upper(audio :: duration());
	o_pos_bar->set_value(audio :: position());
	return true;
}


void o_toggle()
{
	if (audio :: get_driver()->is_playing())
		audio :: pause();
	else
		audio :: play();
}

void o_next()
{
	audio :: next();
	audio :: play();
}

bool o_seek(Gtk::ScrollType type, double value)
{
	audio :: seek_to(value);
	return true;
}


void controls_init()
{
	Gtk::Scale *pos_scale = lib :: get_widget<Gtk::Scale>("o_position_scale");

	o_position = lib :: get_widget<Gtk::Label>("o_cur_position");
	o_pos_bar  = lib :: get_object<Gtk::Adjustment>("o_progress");

	pos_scale->signal_change_value().connect(sigc::ptr_fun(o_seek));
	connect_button("o_stop", audio::stop);
	connect_button("o_prev", audio::prev);
	connect_button("o_next", o_next);

	lib :: schedule(on_timeout, 500);
}
