/*
 * Copyright 2014 (c) Anna Schumaker.
 */
#include <core/core.h>
#include <core/playlist.h>
#include <lib/lib.h>
#include <gui/ocarina.h>
#include <gui/tabs.h>

Gtk::Window *ocarina_init(int *argc, char ***argv)
{
	lib :: init(argc, argv, "ocarina6.glade");
	init_gst(argc, argv);
	core :: init();

	Gtk::Window *window = setup_gui();
	post_init_tabs();
	return window;
}

#ifndef CONFIG_TEST
int main(int argc, char **argv)
{
	Glib::RefPtr<Gtk::Application> ocarina = Gtk::Application::create(argc, argv, "ocarina");

	Gtk::Window *window = ocarina_init(&argc, &argv);
	ocarina->run(*window);
	cleanup_tabs();
	quit_gst();
	return 0;
}
#endif /* CONFIG_TEST */
