/*
 * Copyright 2014 (c) Anna Schumaker.
 */
#ifndef OCARINA_H
#define OCARINA_H

#include <core/queue.h>
#include <lib/lib.h>


/* collection_mgr.cpp */
void collection_mgr_init();


/* main.cpp */
Gtk::Window *ocarina_init(int *, char ***);


/* gui.cpp */
void connect_button(const std::string &, void (*func)());
void on_pause_count_changed(bool, unsigned int);
Gtk::Window *setup_gui();

void on_pq_created(Queue *, unsigned int);
void on_track_loaded(Track *);
void post_init_queue_tabs();


/* gst.cpp */
void init_gst(int *, char ***);
void quit_gst();


/* window.cpp */
Gtk::Window *window_init();


#ifdef CONFIG_TEST
void do_collection_delete();
void on_collection_toggled(const Glib::ustring &);
#endif /* CONFIG_TEST */

#endif /* OCARINA_H */
